//
//  ContinuousPreviewTable.swift
//  MRZSampleSwift
//
//  Created by Filip Siljavski on 15/06/20.
//  Copyright © 2020 Scansolutions. All rights reserved.
//

import UIKit

class ContinuousPreviewTable: UITableViewController {

    var items = [String]()

    override func viewDidLoad() {
        super.viewDidLoad()
    }

    // MARK: - Table view data source

    override func numberOfSections(in tableView: UITableView) -> Int {
        return 1
    }

    override func tableView(_ tableView: UITableView, numberOfRowsInSection section: Int) -> Int {
        return items.count
    }

    override func tableView(_ tableView: UITableView, cellForRowAt indexPath: IndexPath) -> UITableViewCell {
        let cell = tableView.dequeueReusableCell(withIdentifier: "ContinuousCell", for: indexPath) as UITableViewCell
        cell.textLabel?.text = "\((indexPath.row + 1)). " + items[indexPath.row]
        
        return cell
    }

    func addItem(itemVal: String) {
        items.append(itemVal)
        tableView.reloadData()
        tableView.scrollToRow(at: IndexPath(row: items.count - 1, section: 0), at: .bottom, animated: false)
    }
}
